cURL
curl --request PATCH \
--url https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/business-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"about": "We are a company that sells things",
"address": "123 Main St, San Francisco, CA 94105",
"description": "We provide excellent products and services...",
"email": "contact@example.com",
"websites": [
"https://www.example.com"
],
"vertical": "RETAIL"
}
'import requests
url = "https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/business-profile"
payload = {
"about": "We are a company that sells things",
"address": "123 Main St, San Francisco, CA 94105",
"description": "We provide excellent products and services...",
"email": "contact@example.com",
"websites": ["https://www.example.com"],
"vertical": "RETAIL"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
about: 'We are a company that sells things',
address: '123 Main St, San Francisco, CA 94105',
description: 'We provide excellent products and services...',
email: 'contact@example.com',
websites: ['https://www.example.com'],
vertical: 'RETAIL'
})
};
fetch('https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}WhatsApp Phone Settings
Update business profile
Update the WhatsApp Business Profile for a phone number
PATCH
/
v1
/
whatsapp
/
phone-numbers
/
{phoneNumberId}
/
business-profile
cURL
Authorizations
App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations
Path Parameters
WhatsApp phone number ID (internal Chirp ID)
Example:
"wapn_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Body
application/json
Short description (max 139 characters)
Maximum string length:
139Example:
"We are a company that sells things"
Business address
Example:
"123 Main St, San Francisco, CA 94105"
Full business description
Example:
"We provide excellent products and services..."
Business email address
Example:
"contact@example.com"
Business websites (max 2)
Maximum array length:
2Example:
["https://www.example.com"]
Business category/vertical
Available options:
UNDEFINED, OTHER, AUTO, BEAUTY, APPAREL, EDU, ENTERTAIN, EVENT_PLAN, FINANCE, GROCERY, GOVT, HOTEL, HEALTH, NONPROFIT, PROF_SERVICES, RETAIL, TRAVEL, RESTAURANT, NOT_A_BIZ Example:
"RETAIL"
Response
Business profile updated successfully
Available options:
true ⌘I